Skip Menu |
 

This queue is for tickets about the Catalyst-Authentication-Store-Htpasswd CPAN distribution.

Report information
The Basics
Id: 72503
Status: new
Priority: 0/
Queue: Catalyst-Authentication-Store-Htpasswd

People
Owner: Nobody in particular
Requestors: SARFY [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 1.003
Fixed in: (no value)



Subject: Authen::Htpasswd::User
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Disposition: inline
Content-Transfer-Encoding: binary
X-RT-Original-Encoding: utf-8
Content-Length: 653
Download (untitled) / with headers
text/plain 653b
Hi! I have an API problem somewhere between Catalyst/Authentication/User, Catalyst/Authentication/Store/Htpasswd/User and Authen/Htpasswd/User I'm getting the following error: Caught exception in MyApp::Controller::Root->index "you must provide a new password at /usr/local/share/perl/5.12.4/Catalyst/Authentication/User.pm line 49" On that line, C::A::User calls can() method: if ($object = $self->get_object and $object->can($field)) { for field 'password', but Authen/Htpasswd/User's function sub password requires an extra parameter with a new password to set, otherwise it croaks. This makes C::A::Store::Htpasswd unusable right now... :-(


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.